- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# LobbyDBSpec::SendEmail_Data Class Reference

Adds an email to the emails table. Added once for the user with inbox=false, n times for n recipients with inbox=true. More...

`#include <LobbyDBSpec.h>`

Inheritance diagram for LobbyDBSpec::SendEmail_Data:

List of all members.

## Public Attributes
RowIdOrHandle | id
DataStructures::List< LobbyDBSpec::RowIdOrHandle > | to
| [in] recipients, used for SendEmail
RakNet::RakString | subject
| [in] Email subject
RakNet::RakString | body
| [in] Email body
char * | attachment
| [in] Binary data of your choosing. Set to 0, or attachmentLength to 0 to not use.
unsigned int | attachmentLength
| [in] Length of the binary data
int | initialSenderStatus
| [in] Use for your own status flags (marked, read, priority, etc). Update with UpdateEmailStatus
int | status
| [out] Current status of the email, Used by GetEmails_Data
bool | wasOpened
long long | creationTime
| [out] When this row was added to the database. Used by GetEmails_Data.
DatabaseKey | emailMessageID
| [out] Email primary key. Used by GetEmails_Data.
bool | validParameters
| [out] Are the parameters of this email valid?
RakNet::RakString | failureMessage
| [out] If validParameters==false, this is why

## Detailed Description

Adds an email to the emails table. Added once for the user with inbox=false, n times for n recipients with inbox=true.

## Member Data Documentation

RowIdOrHandle LobbyDBSpec::SendEmail_Data::id

[in] When sending, our own system [out] When calling GetEmails, the other system (the one that sent us the email, or the one we sent to)

bool LobbyDBSpec::SendEmail_Data::wasOpened

[in/out] For sending emails, initially mark this email as opened? For receiving mails, can be set by UpdateEmailStatus_Data Also returned by by GetEmails_Data

The documentation for this class was generated from the following files:

- C:/RakNet/DependentExtensions/Lobby/LobbyDBSpec.h
- C:/RakNet/DependentExtensions/Lobby/LobbyDBSpec.cpp